#!/usr/bin/env ruby

USER_URL = 'http://www.csfd.cz/uzivatel/placeholder/'

pages = {
  'komentare' => 30,
  'hodnoceni' => 100
}

counts = {
  'komentare' => `curl -s #{USER_URL}/komentare/ | egrep -o 'Komentáře&nbsp;\\([0-9]+\\)' | egrep -o '[0-9]+'`.to_i,
  'hodnoceni' => `curl -s #{USER_URL}/hodnoceni/ | egrep -o 'Hodnocení&nbsp;\\([0-9]+\\)' | egrep -o '[0-9]+'`.to_i
}

def download(type, count, page)
  pages = (count/page.to_f).ceil
  pages.times do |i|
    `curl -s "#{USER_URL}/#{type}/?page=#{pages-i}&podle=data" -o #{type}-#{sprintf("%03d", i+1)}.html`
  end
end

['komentare', 'hodnoceni'].each do |type|
  puts "downloading #{type} (#{counts[type]} by page=#{pages[type]})"
  download(type, counts[type], pages[type])
end
